%define major	3
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name: 	 	rasqal
Summary: 	RDF querying library
Group:		Databases
Version: 	0.9.29
Release: 	2
License:	LGPL
URL:		http://librdf.org/rasqal/
Source0:	http://download.librdf.org/source/%{name}-%{version}.tar.gz
Patch0:		rasqal-0.9.28-linkm.patch
BuildRequires:	raptor2-devel > 2.0.4-2
BuildRequires:	libmpfr-devel

%description
Rasqal handles Resource Description Framework (RDF) query syntaxes, query
construction and query execution returning result bindings. The supported
query languages are RDQL and SPARQL.  Rasqal was designed to work closely
with the Redland RDF library but is entirely separate. It is intended to be
a portable library working across many POSIX systems (Unix, GNU/Linux,
BSDs, OSX, cygwin) win32 and others.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Obsoletes:	%{mklibname rasqal 0} >= 0.9.16

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %{name}
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%{name}-devel < %{version}-%{release}
Obsoletes:	%{mklibname -d %{name} 0}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p1 -b .linkm~

%build
%configure2_5x --disable-static
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

# Zé: clean .la files
rm -f %{buildroot}%{_libdir}/*.la

%check
#make check

%files
%doc AUTHORS COPYING* ChangeLog LICENSE* NEWS* NOTICE README*
%{_bindir}/roqet
%{_mandir}/man1/roqet*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_bindir}/%{name}-config
%{multiarch_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/rasqal*
%{_mandir}/man3/lib*
%{_datadir}/gtk-doc/html/%{name}



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.9.29-2
+ Revision: 357f2f0
- MassBuild#440: Increase release tag


